Page MenuHomeFreeBSD

lang/ruby2[4|5]: Use RUBY_DLDFLAGS right way, get rid of unescaped macro
ClosedPublic

Authored by fluffy on Jul 19 2018, 7:16 AM.
Tags
Referenced Files
Unknown Object (File)
Sat, Apr 20, 4:59 AM
Unknown Object (File)
Sat, Apr 20, 4:35 AM
Unknown Object (File)
Sat, Apr 20, 4:24 AM
Unknown Object (File)
Fri, Apr 12, 9:05 AM
Unknown Object (File)
Feb 23 2024, 8:23 PM
Unknown Object (File)
Feb 13 2024, 10:35 PM
Unknown Object (File)
Jan 26 2024, 5:43 AM
Unknown Object (File)
Dec 22 2023, 9:26 PM
Subscribers

Details

Summary

lang/ruby2[4|5]: Use internal RUBY_DLDFLAGS right way, get rid of unescaped macro '$@' in the pkg-config template

lang/ruby23 is already fixed same way, port it to newer releases

By the way, this unbreak ninja builds with any port, relied on libruby.so

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This makes sense, but I think we should request an exp-run.

In D16341#346995, @miwi wrote:

This makes sense, but I think we should request an exp-run.

created
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229898

This revision was not accepted when it landed; it landed in state Needs Review.Jul 28 2018, 2:53 AM
This revision was automatically updated to reflect the committed changes.